Subject: [os2genau_digest] No. 1543
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 3 Sep 2007 00:00:31 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 02 September 2007
 Number  1543
**************************************************

Subjects for today
 
1  Re:  OS/2, XP, AIX Networking issues : Ed Durrant <edurrant at virginbroadband dot com dot au>
2  Re:  OS/2, XP, AIX Networking issues : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 02 Sep 2007 07:04:12 +1000
From:  Ed Durrant <edurrant at virginbroadband dot com dot au>
Subject:  Re:  OS/2, XP, AIX Networking issues

Hi Chris,

It's going to take some time to go through these particular 
combinations, but have you considered changing all the systems to use 
Samba ?

Cheers/2

Ed.

Chris Graham [WarpSpeed] wrote:
> Hi All,
> 	I've got a number of networking issues that I simply can not solve.
> So, I'm asking for help.
>
> 	Because XP's implementation of NetBIOS is so slow, and obviously
> pure NetBIOS will not work with Samba, I'm slowly trying to move my
> networking protocols across to a pure NetBIOS over TCP/IP (ie TCPBeui).
>
> 	Firstly, let me describe the setup:
>
> 	A public C class address block (203.27.78.0), all machines sit in
> this block, behind a firewall.
>
> 	The primary internet server is inet.
>
> 	inet	OS/2 WSeB 4.50	203.27.78.4, and also aliased as
> .5, .6 and .7.
> 	Has netbios only. Was the primary domain controller, but is now the
> backup to main. If I add TCPBEUI I get kernet traps... :-(
>
> 	The secondary (for most things) is main.
>
> 	main	OS/2 WSeB 4.52	203.27.78.129 and also aliased as
> .40
> 	Has netbios and tcpbeui. This is now listed as the primary domain
> controller.
>
> 	The first XP box, the wife's box (KATENEW) is DHCP assigned and is
> ok. It has tcpbeui and netbios.
>
> 	The new XP box (is the one that has all of the problems) is DEV.
> Only has the standard XP tcpbeui (I've not added the XP Netbios protocol to
> it, and I'm trying to avoid doing so).
>
> 	I have the BROWSER service running on MAIN, so I don't need to
> modify the XP box's registeries to modify the LMAnnounce setting.
>
> 	KATENEW shows up in NET VIEW commands (DEV does not). However, from
> MAIN, I can specifically view DEV's resources and NET USE them.
>
> [C:\]net view
> Server Name           
> Remark
> ----------------------------------------------------------------------------
> ---
> \\INET                 Internet Machine
> \\KATENEW
> \\MAIN                 Main Machine - Backup Domain Controller
> The command completed successfully.
>
> [C:\]net view \\DEV
> Shared resources at \\DEV
> Chris's Dev Box
>
> Netname      Type         Used as 
> Comment
> ----------------------------------------------------------------------------
> ---
> C-DRIVE      Disk
> SharedDocs   Disk
> The command completed successfully.
>
> 	Why does DEV now show up in the browse lists???
>
> 	Also, and this is one of the most intriguing problems that I've
> got, is why does DEV report a lot of network path not found errors???
>
> C:\>net view
> System error 6118 has occurred.
>
> The list of servers for this workgroup is not currently available
>
>
> C:\>net view
> Server Name           
> Remark
>
> ----------------------------------------------------------------------------
> ---
> \\DEV                  Chris's Dev Box
> \\INET3                Samba 3.0.25a
> \\KATENEW
> \\MAIN                 Main Machine - Backup Domain Controller
> The command completed successfully.
>
>
> C:\>net view \\MAIN
> System error 53 has occurred.
>
> The network path was not found.
>
> 	I get spurious 6118 errors? Anyone have a clue as to why?
> 	
> 	I can not get DEV to see or use anything else on the network. Why?
>
> 	Also, the more astute of you will see that there is an additional
> box in the list from DEV's perspective, namely INET3.
>
> 	INET3 is an AIX 5.3 box running Samba on it.
>
> 	Why do the OS/2 boxes not see it in the browser lists?
>
> 	MAIN can see the resources on INET3:
>
> [C:\]net view \\INET3
> Shared resources at \\INET3
> Samba 3.0.25a
>
> Netname      Type         Used as 
> Comment
> ----------------------------------------------------------------------------
> ---
> test         Disk                  Public share
> The command completed successfully.
>
>
> 	I have used the defaults of B-Node for TCPBEUI on MAIN. What should
> it be?
>
> 	It has been about 10 years since I've setup and used the netbios
> names list etc (RFCNAMES.LST), and I've forgotten it all.
>
> 	I've asked a lot of questions here, and hopefully someone can help
> me by starting at one and we'll work through them all.
>
> 	Help!
>
> 	Thanks to anyone that can.
>
>
> -Chris
>
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
> FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
> Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA
>
>
>

>  

>
>   

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 02 Sep 2007 13:46:39 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  OS/2, XP, AIX Networking issues

On Sun, 02 Sep 2007 07:04:12 +1000, Ed Durrant wrote:

Hi Ed.

Not unless Samba/2 can act as a domain controller for OS/2, which I don't
think that it can.

The primary issue for me, is why does the XP DEV box see main, but not be
able to use or view any of it's resources.

-Chris

>Hi Chris,
>
>It's going to take some time to go through these particular 
>combinations, but have you considered changing all the systems to use 
>Samba ?
>
>Cheers/2
>
>Ed.
>
>Chris Graham [WarpSpeed] wrote:
>> Hi All,
>> 	I've got a number of networking issues that I simply can not solve.
>> So, I'm asking for help.
>>
>> 	Because XP's implementation of NetBIOS is so slow, and obviously
>> pure NetBIOS will not work with Samba, I'm slowly trying to move my
>> networking protocols across to a pure NetBIOS over TCP/IP (ie TCPBeui).
>>
>> 	Firstly, let me describe the setup:
>>
>> 	A public C class address block (203.27.78.0), all machines sit in
>> this block, behind a firewall.
>>
>> 	The primary internet server is inet.
>>
>> 	inet	OS/2 WSeB 4.50	203.27.78.4, and also aliased as
>> .5, .6 and .7.
>> 	Has netbios only. Was the primary domain controller, but is now the
>> backup to main. If I add TCPBEUI I get kernet traps... :-(
>>
>> 	The secondary (for most things) is main.
>>
>> 	main	OS/2 WSeB 4.52	203.27.78.129 and also aliased as
>> .40
>> 	Has netbios and tcpbeui. This is now listed as the primary domain
>> controller.
>>
>> 	The first XP box, the wife's box (KATENEW) is DHCP assigned and is
>> ok. It has tcpbeui and netbios.
>>
>> 	The new XP box (is the one that has all of the problems) is DEV.
>> Only has the standard XP tcpbeui (I've not added the XP Netbios protocol to
>> it, and I'm trying to avoid doing so).
>>
>> 	I have the BROWSER service running on MAIN, so I don't need to
>> modify the XP box's registeries to modify the LMAnnounce setting.
>>
>> 	KATENEW shows up in NET VIEW commands (DEV does not). However, from
>> MAIN, I can specifically view DEV's resources and NET USE them.
>>
>> [C:\]net view
>> Server Name           
>> Remark
>> ----------------------------------------------------------------------------
>> ---
>> \\INET                 Internet Machine
>> \\KATENEW
>> \\MAIN                 Main Machine - Backup Domain Controller
>> The command completed successfully.
>>
>> [C:\]net view \\DEV
>> Shared resources at \\DEV
>> Chris's Dev Box
>>
>> Netname      Type         Used as 
>> Comment
>> ----------------------------------------------------------------------------
>> ---
>> C-DRIVE      Disk
>> SharedDocs   Disk
>> The command completed successfully.
>>
>> 	Why does DEV now show up in the browse lists???
>>
>> 	Also, and this is one of the most intriguing problems that I've
>> got, is why does DEV report a lot of network path not found errors???
>>
>> C:\>net view
>> System error 6118 has occurred.
>>
>> The list of servers for this workgroup is not currently available
>>
>>
>> C:\>net view
>> Server Name           
>> Remark
>>
>> ----------------------------------------------------------------------------
>> ---
>> \\DEV                  Chris's Dev Box
>> \\INET3                Samba 3.0.25a
>> \\KATENEW
>> \\MAIN                 Main Machine - Backup Domain Controller
>> The command completed successfully.
>>
>>
>> C:\>net view \\MAIN
>> System error 53 has occurred.
>>
>> The network path was not found.
>>
>> 	I get spurious 6118 errors? Anyone have a clue as to why?
>> 	
>> 	I can not get DEV to see or use anything else on the network. Why?
>>
>> 	Also, the more astute of you will see that there is an additional
>> box in the list from DEV's perspective, namely INET3.
>>
>> 	INET3 is an AIX 5.3 box running Samba on it.
>>
>> 	Why do the OS/2 boxes not see it in the browser lists?
>>
>> 	MAIN can see the resources on INET3:
>>
>> [C:\]net view \\INET3
>> Shared resources at \\INET3
>> Samba 3.0.25a
>>
>> Netname      Type         Used as 
>> Comment
>> ----------------------------------------------------------------------------
>> ---
>> test         Disk                  Public share
>> The command completed successfully.
>>
>>
>> 	I have used the defaults of B-Node for TCPBEUI on MAIN. What should
>> it be?
>>
>> 	It has been about 10 years since I've setup and used the netbios
>> names list etc (RFCNAMES.LST), and I've forgotten it all.
>>
>> 	I've asked a lot of questions here, and hopefully someone can help
>> me by starting at one and we'll work through them all.
>>
>> 	Help!
>>
>> 	Thanks to anyone that can.
>>
>>
>> -Chris
>>
>> WarpSpeed Computers - The Graham Utilities for OS/2.
>> Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
>> FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
>> Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA
>>
>>
>>
>
>>  
>
>>
>>   
>

> 

>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------